
<template>
  <div class='text-main'>
    <van-nav-bar title="审核结果" />
    <div style="  text-align: center;">
      <img width="70%" height="180" src="../../assets/img/success.png"   v-if="ResultIs"/>
      <img width="70%" height="180" src="../../assets/img/img_fail.png"   v-else >
    </div>
    <div class="content">
      <p class="content-text"> {{datastr}}</p>
      <p class="content-text" v-if="isActive">{{examineStr}}</p>
      <div class="btn-content">
      <van-button color="#E43A28" @click="returnApp"  round  plain hairline v-if="!ResultIs">返回</van-button>
      <van-button  color="#E43A28" @click="checkBtn" round v-if="!ResultIs && examineIs">重新校验</van-button>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  components: {},
  data() {
    //这里存放数据
    return {
      datastr: '活体校验中....',
      examineStr:'正在审核订单，请稍后...',
      isActive: false,
      orderNo:0,
      ResultIs:true,
      examineIs:true
    };
  },
  //监听属性 类似于data概念
  computed: {},
  //监控data中的数据变化
  watch: {},
  //方法集合
  methods: {
    bankCardNoInit() {
      var slfe = this
      var t2 = window.setInterval(function () {
        slfe.$api.bankCardInit({ orderId:   slfe.orderNo }).then(res => {
          if (res.body.orderStatus == 0) {  // 待绑卡
                    window.clearInterval(t2)  // 去除定时器
            slfe.$router.push({ path: '/', query: { orderId:  slfe.orderNo } })
          } else if (res.body.orderStatus == 1) { //待活体签约
                    window.clearInterval(t2)  // 去除定时器
            slfe.$api.faceIdUrl({ orderId:  slfe.orderNo }).then(res => {
              window.location.href = res.body.url
            })
          } else if (res.body.orderStatus == 2) { //待审批状态
            // slfe.$router.push({ path: '/main/queryres', query: { orderId:  slfe.orderNo } })
          } else if (res.body.orderStatus == 3) { //已拒绝   
                        // this.examineStr="订单审核失败！"
                        // this.ResultIs =false
                        // this.examineIs=false
                        window.clearInterval(t2)  // 去除定时器
                      window.location.href ="https://www.shouxinshibai.com/" 
          } else if (res.body.orderStatus == 4) { //待签约
                    window.clearInterval(t2)  // 去除定时器
            slfe.$router.push({ path: '/main/findPre', query: { orderId:  slfe.orderNo } })
          }
          else if (res.body.orderStatus == 5) {//待支付首期款
                  window.clearInterval(t2)  // 去除定时器
          }
        })
      }, 5000)
    },
    getQueryVariable(variable) {  //获取url参数
      var query = window.location.search.substring(1);
      var vars = query.split("&");
      for (var i = 0; i < vars.length; i++) {
        var pair = vars[i].split("=");
        if (pair[0] == variable) { return pair[1]; }
      }
      return (false);
    },
    checkBtn(){  //重新校验
           this.$api.faceIdUrl({orderId: this.orderNo}).then(res => {
                       window.location.href =res.body.url      
            })      
    },
    returnApp(){
           window.location.href ="https://www.shouxinshibai.com/"    
    }
  },
  //生命周期 - 创建完成（可以访问当前this实例）
  created() {
    if(this.getQueryVariable('orderNo')){
          this.orderNo=this.getQueryVariable('orderNo')
    }else{
            this.orderNo=this.$route.query.orderNo 
    }

    let  orderStatus =this.$route.query.orderStatus   
    if(orderStatus && orderStatus==3){
            this.datastr='正在审核订单，请稍后...'
          //  this.bankCardNoInit()
             window.location.href ="https://www.shouxinshibai.com/"    
    }else{
    //         this.$api.faceIdResult({orderId:  this.orderNo}).then(res=>{
    //            this.datastr="活体校验成功"
    //            this.isActive =true
    //            this.ResultIs =true
    //           this.bankCardNoInit()
    // }).catch(err=>{
    //   this.ResultIs =false
    //   this.datastr =err.errMsg
    // })
    this.datastr='正在审核订单，请稍后...'
    this.bankCardNoInit()
    }
  },
  //生命周期 - 挂载完成（可以访问DOM元素）
  mounted() {

  },
}
</script>
<style   lang="less"  scoped>
img {
  margin: 10px auto;
}
.content {
  text-align: center;
  .content-text {
    font-size: 16px;
    font-weight: 500;
    color: #333333;
  }
  .content-main {
    font-weight: 500;
    color: #999999;
  }
  .btn-content{
    display: flex;
    margin-top: 20px;
   justify-content:space-around;
  }
  .van-button{
    width: 150px;
  }
}
</style>